#!/bin/bash
HOSTNM=`hostname -s`
DOMAIN=`hostname -d`

mkdir -p /var/lib/egroupware/default/files /var/lib/egroupware/default/backup
chown -R apache /var/lib/egroupware/default/

#Edit php.ini
perl -p -i -e 's/.*;mbstring.func_overload =.*/mbstring.func_overload = 7/;' "/etc/apache/php.ini"

#Setting proper hostname
sed -e "s,sms.org,$HOSTNM.$DOMAIN,g" -i etc/postfix/main.cf
sed -e "s,org,$DOMAIN,g" -i etc/postfix/main.cf
sed -e "s,dc=sms\,dc=org,dc=$HOSTNM\,dc=$DOMAIN,g" -i etc/openldap/slapd.conf
sed -e "s,sms.org,$HOSTNM.$DOMAIN,g" -i etc/dovecot.conf
sed -e "s,dc=sms\,dc=org,dc=$HOSTNM\,dc=$DOMAIN,g" -i etc/postfix/ldap-aliases.cf
sed -e "s,dc=sms\,dc=org,dc=$HOSTNM\,dc=$DOMAIN,g" -i etc/postfix/ldap-maillists.cf
sed -e "s,dc=sms\,dc=org,dc=$HOSTNM\,dc=$DOMAIN,g" -i etc/postfix/ldap-users.cf
sed -e "s,dc=sms\,dc=org,dc=$HOSTNM\,dc=$DOMAIN,g" -i etc/saslauthd.conf
sed -e "s,dc=sms\,dc=org,dc=$HOSTNM\,dc=$DOMAIN,g" -i etc/dovecot-ldap.conf
sed -e "s,sms.org,$HOSTNM.$DOMAIN,g" -i etc/mail/aliases
newaliases
postmap etc/postfix/ldap-aliases.cf
postmap etc/postfix/ldap-maillists.cf
postmap etc/postfix/ldap-users.cf

#Setting sasl to look at ldap
sed -e "s,/usr/sbin/saslauthd -a shadow,/usr/sbin/saslauthd -a ldap,g" -i etc/rc.d/rc.saslauthd
# Create mysql db and user
if [ $DB ="" ]; then
echo "Choose database name for your egroupware installation"
read DB; fi

if [ $USERNAME ="" ]; then
echo "Choose Username for $DB"
read USERNAME; fi

if [ $PASSWORD ="" ]; then
echo "Choose Password for $USERNAME at $DB"
read PASSWORD; fi

echo "create database $DB;
grant all on $DB.* to $USERNAME@localhost identified by '$PASSWORD';" > db.txt
echo Enter mysql root password
mysql -u root -p < db.txt
rm -f db.txt

# Restarting services
apachectl restart
sleep 1
postfix reload
sleep 1
etc/rc.d/rc.mysqld restart
sleep 2
etc/rc.d/rc.dovecot restart
sleep 1
etc/rc.d/rc.saslauthd restart
echo "Go to http://`hostname -s`/egroupware/ to continue setup"
